/// <reference types="node" />
declare class Programmer {
    readonly portPath?: string | undefined;
    private channel?;
    constructor(portPath?: string | undefined);
    connect(): Promise<void>;
    flash(address: number, data: Buffer): Promise<void>;
    quit(): Promise<void>;
    startApplication(): Promise<void>;
    getHardwareData(): Promise<{
        model: string;
        version: string;
    }>;
    getFirmwareVersion(): Promise<string>;
    setFlashAddress(address: number): Promise<void>;
    writeFlash(data: Buffer | number[]): Promise<void>;
    private openChannels;
    private send;
    private appendCrc;
    private createPacket;
    private removeEscapeByte;
    private validateResponse;
    private split;
}
export default Programmer;
